# sweights

[![](https://img.shields.io/pypi/v/sweights.svg)](https://pypi.org/project/sweights/)
[![](https://github.com/sweights/sweights/actions/workflows/docs.yml/badge.svg?branch=main)](https://sweights.github.io/sweights)
[![](https://img.shields.io/badge/arXiv-2112.04574-b31b1b.svg)](https://arxiv.org/abs/2112.04574)

```bash
pip install sweights
```

We provide several tools for projecting component weights *sWeights* in a control variable(s) using a discriminating variable(s). What we call *sWeights* is the traditional *sPlot* method (we think that sPlot is a misnomer and hence call it sWeights), but also the new Custom Orthogonal Weight functions (COWs). If you use this package, please cite our methods as:

[Dembinski, H., Kenzie, M., Langenbruch, C. and Schmelling, M., Custom Orthogonal Weight functions (COWs) for event classification, *NIMA* **1040** (2022) 167270](https://www.sciencedirect.com/science/article/pii/S0168900222006076?via%3Dihub)

If you cannot access this paper for free, checkout the preprint, [arXiv:2112.04574](https://arxiv.org/abs/2112.04574).

We also provide tools for correcting the covariance matrix of fits to weighted data, described in section IV of our paper and in more detail in [Langenbruch, arXiv:1911.01303](https://arxiv.org/abs/1911.01303).

## Documentation

You can find [our documentation here](https://sweights.github.io/sweights).
